Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987586 - [vdsm] - getVdsCapabilities verb provides QoS for host networks
Summary: [vdsm] - getVdsCapabilities verb provides QoS for host networks
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.3.0
Assignee: Giuseppe Vallarelli
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-23 17:56 UTC by Giuseppe Vallarelli
Modified: 2016-02-10 19:53 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 20:45:53 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 17218 None None None Never

Description Giuseppe Vallarelli 2013-07-23 17:56:20 UTC
Description of problem:

QoS (quality of service) an host network level information is missing from capabilities report. Vdsm should provide a way to retrieve the actual QoS for the networks if any.

Version-Release number of selected component (if applicable):
 RHEV3.3

How reproducible:
Always

Steps to Reproduce:
1. vdsClient 0 getVdsCaps

Actual results:


Expected results:
Extract from getVdsCaps regarding a single network:

{'addr': '',
 'bridged': True,
 'cfg': {'DELAY': '0',
         'DEVICE': 'goofy',
         'NM_CONTROLLED': 'no',
         'ONBOOT': 'yes',
         'TYPE': 'Bridge'},
 'gateway': '0.0.0.0',
 'iface': 'goofy',
 'ipv6addrs': ['fe80::210:18ff:fee1:6d2a/64'],
 'ipv6gateway': '::',
 'mtu': '1500',
 'netmask': '',
 'ports': ['p1p2'],
 'qosInbound': {'average': '10000' , 'burst': '48000', 'peak': '12000'},
 'qosOutbound': '',
 'stp': 'off'}

QoS or one of its attribute (average, burst peak) undefined is returned
as empty string ''

Additional info:

http://www.ovirt.org/Features/Network_traffic_shaping

Comment 1 Giuseppe Vallarelli 2013-07-23 18:03:02 UTC
Actual results:

{'addr': '',
 'bridged': True,
 'cfg': {'DELAY': '0',
         'DEVICE': 'goofy',
         'NM_CONTROLLED': 'no',
         'ONBOOT': 'yes',
         'TYPE': 'Bridge'},
 'gateway': '0.0.0.0',
 'iface': 'goofy',
 'ipv6addrs': ['fe80::210:18ff:fee1:6d2a/64'],
 'ipv6gateway': '::',
 'mtu': '1500',
 'netmask': '',
 'ports': ['p1p2'],
 'stp': 'off'}

At http://www.ovirt.org/Features/Network_traffic_shaping there's an example script about how to create a new network and defining its quality of service.


Note You need to log in before you can comment on or make changes to this bug.